# Generated by Django 2.2.6 on 2019-10-16 08:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ipl_data', '0002_auto_20191009_1244'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='delivery',
            name='city',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='date',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='dl_applied',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='player_of_match',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='result',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='season',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='team1',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='team2',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='toss_decision',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='toss_winner',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='umpire1',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='umpire2',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='umpire3',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='venue',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='win_by_runs',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='win_by_wickets',
        ),
        migrations.RemoveField(
            model_name='delivery',
            name='winner',
        ),
        migrations.RemoveField(
            model_name='match',
            name='ball',
        ),
        migrations.RemoveField(
            model_name='match',
            name='batsman',
        ),
        migrations.RemoveField(
            model_name='match',
            name='batsman_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='batting_team',
        ),
        migrations.RemoveField(
            model_name='match',
            name='bowler',
        ),
        migrations.RemoveField(
            model_name='match',
            name='bowling_team',
        ),
        migrations.RemoveField(
            model_name='match',
            name='bye_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='dismissal_kind',
        ),
        migrations.RemoveField(
            model_name='match',
            name='extra_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='fielder',
        ),
        migrations.RemoveField(
            model_name='match',
            name='inning',
        ),
        migrations.RemoveField(
            model_name='match',
            name='is_super_over',
        ),
        migrations.RemoveField(
            model_name='match',
            name='legbye_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='match_id',
        ),
        migrations.RemoveField(
            model_name='match',
            name='noball_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='non_striker',
        ),
        migrations.RemoveField(
            model_name='match',
            name='over',
        ),
        migrations.RemoveField(
            model_name='match',
            name='penalty_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='player_dismissed',
        ),
        migrations.RemoveField(
            model_name='match',
            name='total_runs',
        ),
        migrations.RemoveField(
            model_name='match',
            name='wide_runs',
        ),
        migrations.AddField(
            model_name='delivery',
            name='ball',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='batsman',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='batsman_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='batting_team',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='bowler',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='bowling_team',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='bye_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='dismissal_kind',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='delivery',
            name='extra_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='fielder',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='delivery',
            name='inning',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='is_super_over',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='legbye_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='match_id',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='ipl_data.Match'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='noball_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='non_striker',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='over',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='penalty_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='player_dismissed',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='delivery',
            name='total_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='delivery',
            name='wide_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='city',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='date',
            field=models.DateTimeField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='dl_applied',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='player_of_match',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='result',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='season',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='team1',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='team2',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='toss_decision',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='toss_winner',
            field=models.CharField(default=0, max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='umpire1',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='umpire2',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='umpire3',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='match',
            name='venue',
            field=models.CharField(default=0, max_length=50),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='win_by_runs',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='win_by_wickets',
            field=models.IntegerField(default=0),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='match',
            name='winner',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AlterField(
            model_name='delivery',
            name='id',
            field=models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID'),
        ),
    ]
